"""
Basic plugin that can be used for debugging or learning how toddlers work.
It listens to all messages, accepts them all and just does a couple of prints
giving the message id and topic.

Authors:    Pierre-Yves Chibon <pingou@pingoured.fr>

"""

import logging

from ..base import ToddlerBase


_log = logging.getLogger(__name__)


class DebugToddler(ToddlerBase):
    """Listens to messages sent by fedora CI and flags pull-requests on
    src.fedoraproject.org accordingly.
    """

    name = "debug"

    amqp_topics = ["#"]

    def accepts_topic(self, topic):
        """Returns a boolean whether this toddler is interested in messages
        from this specific topic.
        """
        return True

    def process(self, config, message):
        """Process a given message."""
        print(f"Debug Toddler received message: id:{message.id}, topic:{message.topic}")
        print("Debug Toddler - Processing done")
